> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minaexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Broadcast Delegation

> Broadcasts a signed delegation transaction to the Mina blockchain



## OpenAPI

````yaml rest-api/openapi.json post /broadcast/delegation
openapi: 3.0.0
info:
  title: REST API
  version: '1.0'
  contact:
    name: 'MinaExplorer '
    email: support@minaexplorer.com
    url: https://docs.minaexplorer.com/minaexplorer/get-help
  termsOfService: https://docs.minaexplorer.com/minaexplorer/website-terms-of-service
  description: >-
    A REST API for the latest Mina Blockchain Data. For all archived data, use
    the GraphQL API.
servers:
  - url: https://api.minaexplorer.com
security: []
tags:
  - name: broadcast
    description: Broadcast signed transactions to the network
  - name: blocks
    description: Get block data
  - name: accounts
    description: Get account data
  - name: blockchain
    description: Return summary information about the blockchain
paths:
  /broadcast/delegation:
    post:
      tags:
        - broadcast
      summary: Broadcast Delegation
      description: Broadcasts a signed delegation transaction to the Mina blockchain
      operationId: post-broadcast-delegation
      requestBody:
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                publicKey:
                  type: string
                  minLength: 1
                signature:
                  type: object
                  required:
                    - field
                    - scalar
                  properties:
                    field:
                      type: string
                      minLength: 1
                    scalar:
                      type: string
                      minLength: 1
                payload:
                  type: object
                  properties:
                    to:
                      type: string
                      minLength: 1
                    from:
                      type: string
                      minLength: 1
                    fee:
                      type: string
                      minLength: 1
                    nonce:
                      type: string
                      minLength: 1
                    memo:
                      type: string
                      minLength: 1
                    validUntil:
                      type: string
                      minLength: 1
                  required:
                    - to
                    - from
                    - fee
                    - nonce
                    - memo
                    - validUntil
              required:
                - publicKey
                - signature
                - payload
            examples:
              Signed Delegation Transaction:
                value:
                  publicKey: B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                  signature:
                    field: >-
                      18272595141380250584469604897229002416332940517678367847162300084194223829287
                    scalar: >-
                      14023806555216748787769239497115189883629278190444711668661465519595755765526
                  payload:
                    to: B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                    from: B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                    fee: '1000000000'
                    nonce: '1326'
                    memo: Broadcast API
                    validUntil: '4294967295'
          application/xml:
            schema:
              type: object
              properties: {}
        description: Signed delegation transaction
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  message:
                    type: string
                    minLength: 1
                  result:
                    type: object
                    properties:
                      delegation:
                        type: object
                        properties:
                          amount:
                            type: string
                            minLength: 1
                          fee:
                            type: string
                            minLength: 1
                          feePayer:
                            type: object
                            properties:
                              publicKey:
                                type: string
                                minLength: 1
                              token:
                                type: string
                                minLength: 1
                            required:
                              - publicKey
                              - token
                          feeToken:
                            type: string
                            minLength: 1
                          from:
                            type: string
                            minLength: 1
                          fromAccount:
                            type: object
                            properties:
                              publicKey:
                                type: string
                                minLength: 1
                              token:
                                type: string
                                minLength: 1
                            required:
                              - publicKey
                              - token
                          hash:
                            type: string
                            minLength: 1
                          id:
                            type: string
                            minLength: 1
                          isDelegation:
                            type: boolean
                          kind:
                            type: string
                            minLength: 1
                          memo:
                            type: string
                            minLength: 1
                          nonce:
                            type: number
                          receiver:
                            type: object
                            properties:
                              publicKey:
                                type: string
                                minLength: 1
                              token:
                                type: string
                                minLength: 1
                            required:
                              - publicKey
                              - token
                          source:
                            type: object
                            properties:
                              publicKey:
                                type: string
                                minLength: 1
                              token:
                                type: string
                                minLength: 1
                            required:
                              - publicKey
                              - token
                          to:
                            type: string
                            minLength: 1
                          token:
                            type: string
                            minLength: 1
                          toAccount:
                            type: object
                            properties:
                              token:
                                type: string
                                minLength: 1
                              publicKey:
                                type: string
                                minLength: 1
                            required:
                              - token
                              - publicKey
                        required:
                          - amount
                          - fee
                          - feePayer
                          - feeToken
                          - from
                          - fromAccount
                          - hash
                          - id
                          - isDelegation
                          - kind
                          - memo
                          - nonce
                          - receiver
                          - source
                          - to
                          - token
                          - toAccount
                    required:
                      - delegation
                required:
                  - message
                  - result
              examples:
                Successful delegation:
                  value:
                    message: Delegation broadcast sucessfully
                    result:
                      delegation:
                        amount: '0'
                        fee: '1000000000'
                        feePayer:
                          publicKey: >-
                            B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                          token: '1'
                        feeToken: '1'
                        from: >-
                          B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                        fromAccount:
                          publicKey: >-
                            B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                          token: '1'
                        hash: CkpZA61vQ3Qfnh95NT3pDZEtS5sBZhhEQfdKbSEkj1kQN2kMQveqp
                        id: >-
                          MVvtsE9mBNhZwuMWvq6EdFTzPkvPmAgNRa3FCuzAFBxcjjmbUt6idiBPJGoQ3nvH2X5rJSFK6YMUyLCnLhPvSeKa49yiBq91AKKNYy5jjMRGegJFTi2dzfxcGiL92Lfv8YR8p8oLZB8jrgD386vcmq8AXvCRqhvbAuaSMHMTkfBb2jk6pHsmMTioytjk96m4fa8WW8UpVXVK8bYh9MvG42CQLgh42r7gpcSVpesZMuEpqmH3h4QScnBnTxkNqdru56Vbm3NthBChb1StfgpYNe8CxgHftRvWoEKfq2ECDAFLDxWTq39UARbvk3mB57cXbcKQANcEfyy5FMPJRnUv28tK7sZqUtVHcMpHrpxHnqw9LbDrW33qb1jB2kFQvZ
                        isDelegation: true
                        kind: STAKE_DELEGATION
                        memo: E4YxYSicMBEwDPtHBz4t7UQpbFKxL8yvrzYPM4Ee8U9uAWWX4Sa7v
                        nonce: 1328
                        receiver:
                          publicKey: >-
                            B62qpge4uMq4Vv5Rvc8Gw9qSquUYd6xoW1pz7HQkMSHm6h1o7pvLPAN
                          token: '1'
                        source:
                          publicKey: >-
                            B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                          token: '1'
                        to: >-
                          B62qpge4uMq4Vv5Rvc8Gw9qSquUYd6xoW1pz7HQkMSHm6h1o7pvLPAN
                        token: '1'
                        toAccount:
                          token: '1'
                          publicKey: >-
                            B62qpge4uMq4Vv5Rvc8Gw9qSquUYd6xoW1pz7HQkMSHm6h1o7pvLPAN
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  message:
                    type: string
                    minLength: 1
                  error:
                    type: string
                    minLength: 1
                required:
                  - message
                  - error
              examples:
                Failed Delegation:
                  value:
                    message: Error in sending delegation
                    error: >-
                      Query failed -- returned code 200.
                      mutation($from:PublicKey!, $to:PublicKey!, $fee:UInt64!,
                      $memo:String, $scalar:String, $field:String){
                      sendDelegation(input: { from:$from, to:$to, fee:$fee,
                      memo:$memo, }, signature:{ scalar: $scalar, field: $field,
                      }) { delegation { amount fee feePayer { publicKey token }
                      feeToken from fromAccount { publicKey token } hash id
                      isDelegation kind memo nonce receiver { publicKey token }
                      source { publicKey token } to token toAccount { token
                      publicKey } } } }

````